org.apache.poi.xdgf.usermodel

## Class XDGFCell

- java.lang.Object
- - org.apache.poi.xdgf.usermodel.XDGFCell

-     public class XDGFCell
      extends java.lang.Object

  There are a lot of different cell types. Cell is really just an attribute of the thing that it's attached to. Will probably refactor this once I figure out a better way to use them The various attributes of a Cell are constrained, and are better defined in the XSD 1.1 visio schema Values of a cell are often the result of a formula computation. Luckily for you, Visio seems to always write the result to the document file, so unless the values change we don't need to recompute the values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDGFCell(com.microsoft.schemas.office.visio.x2012.main.CellType cell)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getError()`
    `java.lang.String` | `getFormula()` Represents the element's formula.
    `java.lang.String` | `getName()` Represents the name of the ShapeSheet cell.
    `java.lang.String` | `getValue()` Represents the value of the cell.
    `protected com.microsoft.schemas.office.visio.x2012.main.CellType` | `getXmlObject()`
    `static java.lang.Boolean` | `maybeGetBoolean(java.util.Map<java.lang.String,XDGFCell> cells, java.lang.String name)`
    `static java.lang.Double` | `maybeGetDouble(java.util.Map<java.lang.String,XDGFCell> cells, java.lang.String name)`
    `static java.lang.Integer` | `maybeGetInteger(java.util.Map<java.lang.String,XDGFCell> cells, java.lang.String name)`
    `static java.lang.String` | `maybeGetString(java.util.Map<java.lang.String,XDGFCell> cells, java.lang.String name)`
    `static java.lang.Double` | `parseDoubleValue(com.microsoft.schemas.office.visio.x2012.main.CellType cell)`
    `static java.lang.Integer` | `parseIntegerValue(com.microsoft.schemas.office.visio.x2012.main.CellType cell)`
    `static java.lang.Double` | `parseVLength(com.microsoft.schemas.office.visio.x2012.main.CellType cell)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDGFCell

          public XDGFCell(com.microsoft.schemas.office.visio.x2012.main.CellType cell)

  - ### Method Detail

    - #### maybeGetBoolean

          public static java.lang.Boolean maybeGetBoolean(java.util.Map<java.lang.String,XDGFCell> cells,
                                                          java.lang.String name)

    - #### maybeGetDouble

          public static java.lang.Double maybeGetDouble(java.util.Map<java.lang.String,XDGFCell> cells,
                                                        java.lang.String name)

    - #### maybeGetInteger

          public static java.lang.Integer maybeGetInteger(java.util.Map<java.lang.String,XDGFCell> cells,
                                                          java.lang.String name)

    - #### maybeGetString

          public static java.lang.String maybeGetString(java.util.Map<java.lang.String,XDGFCell> cells,
                                                        java.lang.String name)

    - #### parseDoubleValue

          public static java.lang.Double parseDoubleValue(com.microsoft.schemas.office.visio.x2012.main.CellType cell)

    - #### parseIntegerValue

          public static java.lang.Integer parseIntegerValue(com.microsoft.schemas.office.visio.x2012.main.CellType cell)

    - #### parseVLength

          public static java.lang.Double parseVLength(com.microsoft.schemas.office.visio.x2012.main.CellType cell)

      Parameters:
        `cell` - The type of the cell
      Returns:
        A value converted to inches

    - #### getXmlObject

          @Internal
          protected com.microsoft.schemas.office.visio.x2012.main.CellType getXmlObject()

    - #### getName

          public java.lang.String getName()

      Represents the name of the ShapeSheet cell.

    - #### getValue

          public java.lang.String getValue()

      Represents the value of the cell.

    - #### getFormula

          public java.lang.String getFormula()

      Represents the element's formula. This attribute can contain one of the following strings: - '(some formula)' if the formula exists locally - No Formula if the formula is locally deleted or blocked - Inh if the formula is inherited.

    - #### getError

          public java.lang.String getError()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.